# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python rpm-macros-fedora-compat
# END SourceDeps(oneline)
%define oldname python-pymtp
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
# debuginfo would be empty
%global debug_package %{nil}
%global module PyMTP

Name:           python-module-pymtp
Version:        0.0.6
Release:        alt1_13
Summary:        A Pythonic wrapper around libmtp

Group:          Development/Other
License:        GPLv3+
URL:            https://pypi.python.org/pypi/%{module}
Source0:        https://pypi.python.org/packages/source/P/PyMTP/PyMTP-%{version}.tar.gz

# Depend on the libmtp soname provides of the correct arch
%global libmtp libmtp.so.9
%if 0%{?__isa_bits} == 64
%global mark64 ()(64bit)
%endif

BuildRequires:  python-devel

%global _description\
A Pythonic wrapper around libmtp, allowing python applications to communicate\
with MTP devices.
Source44: import.info

%description %_description

%prep
%setup -q -n %{module}-%{version}
# Examples are documentation, remove executable permission
chmod -x examples/*
# Remove the shebang to silence rpmlint
sed -i '1d' pymtp.py

%build
%{__python} setup.py build


%install
# Install into python_sitearch for the arch-specific dependency
%{__python} setup.py install -O1 --skip-build --install-purelib $RPM_BUILD_ROOT%{python_sitelibdir}



%files -n python-module-pymtp
%doc README COPYING examples
%{python_sitelibdir}/pymtp.*
%{python_sitelibdir}/*.egg-info

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_13
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_12
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_11
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_2
- update to new release by fcimport

* Tue Nov 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.6-alt1_1
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1_7
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1_6
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.0.4-alt1_5
- initial fc import

